Package org.gradle.tooling.model

# Interface Element

All Superinterfaces:
  `Model`

All Known Subinterfaces:
  `BasicIdeaProject`, `BuildableElement`, `EclipseProject`, `GradleProject`, `HierarchicalEclipseProject`, `HierarchicalElement`, `IdeaModule`, `IdeaProject`

public interface Element extends Model
Described model element.

Since:
  1.0-milestone-5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getDescription()`
  Returns the description of the element, or `null` if it has no description.
  `String`
  `getName()`
  Returns the name of the element.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of the element. Note that the name is not a unique identifier.
    Returns:
      The name of the element.
    Since:
      1.0-milestone-5

  - ### getDescription

    @Nullable String getDescription()
    Returns the description of the element, or `null` if it has no description.
    Returns:
      The description of the element, or `null` if it has no description.
    Since:
      1.0-milestone-5